Debian Bug report logs - #463030
apt >=0.7.7 break menu update mechanism

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Bill Allombert <ballombe@debian.org>

Date: Mon, 28 Jan 2008 23:36:01 UTC

Severity: serious

Found in version apt/0.7.7

Fixed in versions apt/0.7.19~exp1, apt/0.7.19

Done: Michael Vogt <mvo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#463030; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: apt >=0.7.7 break menu update mechanism
Date: Tue, 29 Jan 2008 00:34:25 +0100
Package: apt
Version: 0.7.7
Severity: important

Hello APT team,

Version 0.7.7 (and above, but not below) of apt-get breaks the automatic
update of the Debian menu system. It seems the postinst script inherit
some signal handling from apt-get that break menu, but I do not have
pinpointed it yet. 

The menu update works fine when the package is installed directly with
dpkg from the shell.

See bug #462648 for more detail.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#463030; Package apt. Full text and rfc822 format available.

Acknowledgement sent to "Lord of, St. Luke Valor" <lord.of.valor@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 463030@bugs.debian.org (full text, mbox):

From: "Lord of, St. Luke Valor" <lord.of.valor@gmail.com>
To: "Bill Allombert" <ballombe@debian.org>, 463030@bugs.debian.org
Subject: Re: Bug#463030: apt >=0.7.7 break menu update mechanism
Date: Tue, 29 Jan 2008 17:41:21 -0500
[Message part 1 (text/plain, inline)]
Thank you for your help.

On 1/28/08, Bill Allombert <ballombe@debian.org> wrote:
>
> Package: apt
> Version: 0.7.7
> Severity: important
>
> Hello APT team,
>
> Version 0.7.7 (and above, but not below) of apt-get breaks the automatic
> update of the Debian menu system. It seems the postinst script inherit
> some signal handling from apt-get that break menu, but I do not have
> pinpointed it yet.
>
> The menu update works fine when the package is installed directly with
> dpkg from the shell.
>
> See bug #462648 for more detail.
>
> Cheers,
> --
> Bill. <ballombe@debian.org>
>
> Imagine a large red swirl here.
>
>
>
> --
> To UNSUBSCRIBE, email to deity-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact
> listmaster@lists.debian.org
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#463030; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Robert Luberda <robert@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 463030@bugs.debian.org (full text, mbox):

From: Robert Luberda <robert@debian.org>
To: Bill Allombert <ballombe@debian.org>, 463030@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#463030: apt >=0.7.7 break menu update mechanism
Date: Fri, 11 Apr 2008 00:01:44 +0200
found apt 0.7.11
thanks

On Tue, 29 Jan 2008, Bill Allombert wrote:

Hi, 

> 
> Version 0.7.7 (and above, but not below) of apt-get breaks the automatic
> update of the Debian menu system. It seems the postinst script inherit
> some signal handling from apt-get that break menu, but I do not have
> pinpointed it yet. 

The bug also affects dwww, which runs a background job in postinst. 
With current apt the job is killed with SIGHUP. I'm going to upload 
dwww 1.10.12 with work-aroud for this bug, however it still can be 
easily reproduced with previous version.

Regards,
robert




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#463030; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 463030@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: 463030@bugs.debian.org
Cc: Bill Allombert <ballombe@debian.org>, Robert Luberda <robert@debian.org>
Subject: Re: Bug#463030: apt >=0.7.7 break menu update mechanism
Date: Wed, 10 Sep 2008 18:58:39 +0200
On Fri, Apr 11, 2008 at 12:01:44AM +0200, Robert Luberda wrote:
> found apt 0.7.11
> thanks
> 
> On Tue, 29 Jan 2008, Bill Allombert wrote:
> 
> Hi, 
> 
> > 
> > Version 0.7.7 (and above, but not below) of apt-get breaks the automatic
> > update of the Debian menu system. It seems the postinst script inherit
> > some signal handling from apt-get that break menu, but I do not have
> > pinpointed it yet. 
> 
> The bug also affects dwww, which runs a background job in postinst. 
> With current apt the job is killed with SIGHUP. I'm going to upload 
> dwww 1.10.12 with work-aroud for this bug, however it still can be 
> easily reproduced with previous version.

Despite the work around, this bug will affect etch to lenny upgrade
whenever apt is upgraded before menu or dwww. 

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Severity set to `serious' from `important' Request was from "Eugene V. Lyubimkin" <jackyf.devel@gmail.com> to control@bugs.debian.org. (Wed, 12 Nov 2008 15:36:03 GMT) Full text and rfc822 format available.

Tags added: pending Request was from "Eugene V. Lyubimkin" <jackyf.devel@gmail.com> to control@bugs.debian.org. (Wed, 12 Nov 2008 15:36:03 GMT) Full text and rfc822 format available.

Message sent on to Bill Allombert <ballombe@debian.org>:
Bug#463030. (Wed, 12 Nov 2008 15:36:06 GMT) Full text and rfc822 format available.

Message #27 received at 463030-submitter@bugs.debian.org (full text, mbox):

From: "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>
To: 463030-submitter@bugs.debian.org, control@bugs.debian.org
Subject: upgrading #463030
Date: Wed, 12 Nov 2008 17:37:43 +0200
[Message part 1 (text/plain, inline)]
package apt
severity 463030 serious
tags 463030 +pending
thanks

This bug qualifies as RC one.

-- 
Eugene V. Lyubimkin aka JackYF, JID: jackyf.devel(maildog)gmail.com
Ukrainian C++ Developer, Debian APT contributor

[signature.asc (application/pgp-signature, attachment)]

Reply sent to jackyf.devel@gmail.com (Eugene V. Lyubimkin):
You have taken responsibility. (Wed, 12 Nov 2008 17:33:13 GMT) Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. (Wed, 12 Nov 2008 17:33:13 GMT) Full text and rfc822 format available.

Message #32 received at 463030-close@bugs.debian.org (full text, mbox):

From: jackyf.devel@gmail.com (Eugene V. Lyubimkin)
To: 463030-close@bugs.debian.org
Subject: Bug#463030: fixed in apt 0.7.19~exp1
Date: Wed, 12 Nov 2008 17:17:03 +0000
Source: apt
Source-Version: 0.7.19~exp1

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.7.19~exp1_all.deb
  to pool/main/a/apt/apt-doc_0.7.19~exp1_all.deb
apt-transport-https_0.7.19~exp1_i386.deb
  to pool/main/a/apt/apt-transport-https_0.7.19~exp1_i386.deb
apt-utils_0.7.19~exp1_i386.deb
  to pool/main/a/apt/apt-utils_0.7.19~exp1_i386.deb
apt_0.7.19~exp1.dsc
  to pool/main/a/apt/apt_0.7.19~exp1.dsc
apt_0.7.19~exp1.tar.gz
  to pool/main/a/apt/apt_0.7.19~exp1.tar.gz
apt_0.7.19~exp1_i386.deb
  to pool/main/a/apt/apt_0.7.19~exp1_i386.deb
libapt-pkg-dev_0.7.19~exp1_i386.deb
  to pool/main/a/apt/libapt-pkg-dev_0.7.19~exp1_i386.deb
libapt-pkg-doc_0.7.19~exp1_all.deb
  to pool/main/a/apt/libapt-pkg-doc_0.7.19~exp1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 463030@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eugene V. Lyubimkin <jackyf.devel@gmail.com> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 08 Nov 2008 12:40:19 +0200
Source: apt
Binary: apt apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all i386
Version: 0.7.19~exp1
Distribution: experimental
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Eugene V. Lyubimkin <jackyf.devel@gmail.com>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-transport-https - APT https transport
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 286061 349038 419521 426913 463030
Changes: 
 apt (0.7.19~exp1) experimental; urgency=low
 .
   [ Eugene V. Lyubimkin ]
   * doc/sources.list.5.xml:
     - Mentioned allowed characters in file names in /etc/apt/sources.list.d.
       Thanks to Matthias Urlichs. (Closes: #426913)
   * doc/apt-get.8.xml:
     - Included '-v'/'--version' as a command to synopsis.
   * cmdline/apt-cache.cc:
     - Advanced built-in help. Patch by Andre Felipe Machado. (Closes: #286061)
     - Fixed typo 'GraphVis' -> 'GraphViz'. (Closes: #349038)
     - Removed asking to file a release-critical bug against a package if there
       is a request to install only one package and it is not installable.
       (Closes: #419521)
 .
   [ Michael Vogt ]
     - fix SIGHUP handling (closes: #463030)
Checksums-Sha1: 
 650a4bc6d5e83569f7262c9c1a95867aca30833f 1232 apt_0.7.19~exp1.dsc
 66ef78a440b93630617625ba2df54269a1d50030 2039401 apt_0.7.19~exp1.tar.gz
 02daff2e5f29024e0da913b07d90d4d4c9e8773f 101188 apt-doc_0.7.19~exp1_all.deb
 eb1f750125438525c58d1962d91d443c18c1d17f 125334 libapt-pkg-doc_0.7.19~exp1_all.deb
 ea31c0ba1d6244afaa5a0fd123792b43dfcae88a 1611238 apt_0.7.19~exp1_i386.deb
 74e06e07f11dc7408de2d0a91f1afb218e682ba9 109904 libapt-pkg-dev_0.7.19~exp1_i386.deb
 13256fdc976fbce31159595fc952629cb958e04d 189156 apt-utils_0.7.19~exp1_i386.deb
 49540b5bae8f9697cea87b4a3673bddc54ba058b 59472 apt-transport-https_0.7.19~exp1_i386.deb
Checksums-Sha256: 
 654d1791c5b51a6a4787961429903d0b2787ee623d652742fab0db985ef04477 1232 apt_0.7.19~exp1.dsc
 8f6e4b2ba8a6885895f6a2e6c1c82bb1889a2fa8d89e794f4fa0dff6ee81c9de 2039401 apt_0.7.19~exp1.tar.gz
 de4db6ef481c78fa01e94d4587fed7ec01d533015ed79dfcca3bfa1d96433312 101188 apt-doc_0.7.19~exp1_all.deb
 b7ab2866a7ec1481890dd980e975ae663bd0c8bdf284c44cb0c56f73efb0ceb2 125334 libapt-pkg-doc_0.7.19~exp1_all.deb
 d955f1b321add77884f9f7852a7c28e343c4a6b9e44a16f7b96fb39a3fbad4de 1611238 apt_0.7.19~exp1_i386.deb
 2b80449c966ac097cff8effc570976570ea85ffd0d66712bdc8ea7ecc73629e9 109904 libapt-pkg-dev_0.7.19~exp1_i386.deb
 1795e47bb9747126368808ee885e695c4ba5ac919d496fdc3b287a573199aa40 189156 apt-utils_0.7.19~exp1_i386.deb
 179a4d7ba771447da7cc8eceeee8ab11e53fd5b665852f505f1f96f59eec95c0 59472 apt-transport-https_0.7.19~exp1_i386.deb
Files: 
 9651c46cd26a9364ecbf6c8e4982e8eb 1232 admin important apt_0.7.19~exp1.dsc
 e2b4cd770aba03eee44df80f2db69ded 2039401 admin important apt_0.7.19~exp1.tar.gz
 0cd7e31e16d20fab48bd396753b5de19 101188 doc optional apt-doc_0.7.19~exp1_all.deb
 8c493f29e404696585e31b95bda4ea24 125334 doc optional libapt-pkg-doc_0.7.19~exp1_all.deb
 1846db0be43647ddb6abf81f643ac744 1611238 admin important apt_0.7.19~exp1_i386.deb
 67a47fdb11c4f3d06b14b2f07315d494 109904 libdevel optional libapt-pkg-dev_0.7.19~exp1_i386.deb
 49e834f6fa9098a877e49fa2f325448c 189156 admin important apt-utils_0.7.19~exp1_i386.deb
 3e06fc42b91df8fdae8e65a184a0c296 59472 admin optional apt-transport-https_0.7.19~exp1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkbDjwACgkQliSD4VZixzTTdgCdFN36vYFnux893Z1QzNOnp+3e
a6QAn0pdKMiSJQMxbzn+ozYQJ8VTCtFk
=iON+
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#463030; Package apt. (Sat, 22 Nov 2008 03:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sat, 22 Nov 2008 03:51:04 GMT) Full text and rfc822 format available.

Message #37 received at 463030@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 463030@bugs.debian.org
Subject: Re: apt >=0.7.7 break menu update mechanism
Date: Sat, 22 Nov 2008 03:53:54 +0000
[Message part 1 (text/plain, inline)]
This bug needs to be fixed in lenny, which I think requires a t-p-u
upload.  Or you could upload to unstable and get a freeze exception, but
the other changes don't seem important enough to do that for.

Ben.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#463030; Package apt. (Sat, 22 Nov 2008 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sat, 22 Nov 2008 07:57:03 GMT) Full text and rfc822 format available.

Message #42 received at 463030@bugs.debian.org (full text, mbox):

From: "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>, 463030@bugs.debian.org
Cc: Michael Vogt <mvo@debian.org>
Subject: Re: Bug#463030: apt >=0.7.7 break menu update mechanism
Date: Sat, 22 Nov 2008 09:48:58 +0200
[Message part 1 (text/plain, inline)]
Ben Hutchings wrote:
> This bug needs to be fixed in lenny, which I think requires a t-p-u
> upload.  Or you could upload to unstable and get a freeze exception, but
> the other changes don't seem important enough to do that for.
I think it doesn't require a tpu upload. apt 0.7.19~exp1 and 0.7.19~exp2 only contains
documentation and translation fixes plus fix for this bug. It's targeted for Lenny.

Michael, I guess it's time to do 0.7.19 upload to unstable.

-- 
Eugene V. Lyubimkin aka JackYF, JID: jackyf.devel(maildog)gmail.com
Ukrainian C++ developer, Debian APT contributor

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Mon, 24 Nov 2008 11:57:43 GMT) Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. (Mon, 24 Nov 2008 11:57:44 GMT) Full text and rfc822 format available.

Message #47 received at 463030-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 463030-close@bugs.debian.org
Subject: Bug#463030: fixed in apt 0.7.19
Date: Mon, 24 Nov 2008 11:32:06 +0000
Source: apt
Source-Version: 0.7.19

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.7.19_all.deb
  to pool/main/a/apt/apt-doc_0.7.19_all.deb
apt-transport-https_0.7.19_i386.deb
  to pool/main/a/apt/apt-transport-https_0.7.19_i386.deb
apt-utils_0.7.19_i386.deb
  to pool/main/a/apt/apt-utils_0.7.19_i386.deb
apt_0.7.19.dsc
  to pool/main/a/apt/apt_0.7.19.dsc
apt_0.7.19.tar.gz
  to pool/main/a/apt/apt_0.7.19.tar.gz
apt_0.7.19_i386.deb
  to pool/main/a/apt/apt_0.7.19_i386.deb
libapt-pkg-dev_0.7.19_i386.deb
  to pool/main/a/apt/libapt-pkg-dev_0.7.19_i386.deb
libapt-pkg-doc_0.7.19_all.deb
  to pool/main/a/apt/libapt-pkg-doc_0.7.19_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 463030@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 24 Nov 2008 10:33:54 +0100
Source: apt
Binary: apt apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all i386
Version: 0.7.19
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-transport-https - APT https transport
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 286061 349038 419521 426913 463030 505476 505483 505491 505495 505506 505513 505518 505539 505569 505614 505683 505727 505757 505762 505902 505909 505934 505949 506085 506452 506545
Changes: 
 apt (0.7.19) unstable; urgency=low
 .
   [ Eugene V. Lyubimkin ]
   * doc/sources.list.5.xml:
     - Mentioned allowed characters in file names in /etc/apt/sources.list.d.
       Thanks to Matthias Urlichs. (Closes: #426913)
   * doc/apt-get.8.xml:
     - Explicitly say that 'dist-upgrade' command may remove packages.
     - Included '-v'/'--version' as a command to synopsis.
   * cmdline/apt-cache.cc:
     - Advanced built-in help. Patch by Andre Felipe Machado. (Closes: #286061)
     - Fixed typo 'GraphVis' -> 'GraphViz'. (Closes: #349038)
     - Removed asking to file a release-critical bug against a package if there
       is a request to install only one package and it is not installable.
       (Closes: #419521)
 .
 .
   [ Michael Vogt ]
     - fix SIGHUP handling (closes: #463030)
 .
   [ Christian Perrier ]
   * Translations:
     - French updated
     - Bulgarian updated. Closes: #505476
     - Slovak updated. Closes: #505483
     - Swedish updated. Closes: #505491
     - Japanese updated. Closes: #505495
     - Korean updated. Closes: #505506
     - Catalan updated. Closes: #505513
     - British English updated. Closes: #505539
     - Italian updated. Closes: #505518, #505683
     - Polish updated. Closes: #505569
     - German updated. Closes: #505614
     - Spanish updated. Closes: #505757
     - Romanian updated. Closes: #505762
     - Simplified Chinese updated. Closes: #505727
     - Portuguese updated. Closes: #505902
     - Czech updated. Closes: #505909
     - Norwegian Bokmål updated. Closes: #505934
     - Brazilian Portuguese updated. Closes: #505949
     - Basque updated. Closes: #506085
     - Russian updated. Closes: #506452
     - Marathi updated.
     - Ukrainian updated. Closes: #506545
Checksums-Sha1: 
 7e398a5b11c000f89792c40c6d13df3991cabc24 1212 apt_0.7.19.dsc
 d30d02f594ec75df4b2a3883f1464fc28d833868 2038700 apt_0.7.19.tar.gz
 d078be1164d459eaa818d4f80b3e214af1549207 101324 apt-doc_0.7.19_all.deb
 b80010c4148bf3f641c83c2e19e7dedac56c44fc 125468 libapt-pkg-doc_0.7.19_all.deb
 745dfc34b3681364964979cb79b8e13d6721c669 1640238 apt_0.7.19_i386.deb
 83058fe2d9e3c1d5ea595408f80a2c687e98db22 110046 libapt-pkg-dev_0.7.19_i386.deb
 2d0b0f06bb61a0d5d022629e79cb452e9c84de24 189270 apt-utils_0.7.19_i386.deb
 1549db1e55c284f2857a08a3a25099c16810516e 59616 apt-transport-https_0.7.19_i386.deb
Checksums-Sha256: 
 43ec6692a2febfc409ec2f42cc147a390fc8696a5b99c2e189f4bc9a250f483f 1212 apt_0.7.19.dsc
 c928f5eb2baffb50e7ccf02d07a16daf867945c8aa542d500bbbbaff7bbcef42 2038700 apt_0.7.19.tar.gz
 0cf3a0fb7a0f1567368b9a66e8a008a5a328d884205087650562725febd67ed3 101324 apt-doc_0.7.19_all.deb
 3725034445988d56853606d6f9488357bbc95464fa33537aaa6cd692f5aafd46 125468 libapt-pkg-doc_0.7.19_all.deb
 238f24b4028d1752c14dca1da03b49807e4732b4680533be46f8f4c396975b5c 1640238 apt_0.7.19_i386.deb
 02b2d4368b1e725c9a2078f1130e58e635bb5b9fb71cdf67af95e947a803bf72 110046 libapt-pkg-dev_0.7.19_i386.deb
 efb66d0464310ff6281909363b0f6ca0f46cf176058232eba9483d2b4df4d011 189270 apt-utils_0.7.19_i386.deb
 a012650038e920ce3fed11358d8a3cfd2922d5c6b07499ccfcc5da19efa4dff8 59616 apt-transport-https_0.7.19_i386.deb
Files: 
 8f1b920cebde0d438458cbd7effaa959 1212 admin important apt_0.7.19.dsc
 0ef50176aea36cb0cce633a9b62dc7eb 2038700 admin important apt_0.7.19.tar.gz
 78775957fa9a888c95aeb80c3dd1d22e 101324 doc optional apt-doc_0.7.19_all.deb
 b19f0d988436b648cc752934e0eb6f6e 125468 doc optional libapt-pkg-doc_0.7.19_all.deb
 5ea569ba4886233acc549b422e937380 1640238 admin important apt_0.7.19_i386.deb
 0916faa8c2b55fd709a8325d246ae88e 110046 libdevel optional libapt-pkg-dev_0.7.19_i386.deb
 58bcfd95d572dc5276125ea1a36f2921 189270 admin important apt-utils_0.7.19_i386.deb
 ae3ebfc3394013e9bcc0048eb0791f51 59616 admin optional apt-transport-https_0.7.19_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkqeWoACgkQliSD4VZixzQFsQCfVzC7BBnLZmfdWP2rV1o1a0B1
BrAAnR4vLaNzaQSXdYRSOcHHAbsuCEuu
=V5f8
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#463030; Package apt. (Tue, 09 Dec 2008 04:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 09 Dec 2008 04:42:02 GMT) Full text and rfc822 format available.

Message #52 received at 463030@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: alpha@buildd.debian.org, debian-release@lists.debian.org, 463030@bugs.debian.org
Subject: Apt built but not installed on alpha, prevents fixing RC bug in Lenny.
Date: Tue, 9 Dec 2008 13:37:57 +0900
Dear Alpha buildd admins,

apt is built on alpha but not installed:

http://buildd.debian.org/pkg.cgi?pkg=apt

It prevents the propagation of version 0.7.19 to Lenny, which fixes the RC bug
http://bugs.debian.org/463030

Can you do something?

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Jan 2009 07:28:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:43:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.